OptFEM3DP1 Toolbox: ElemMat/ElemStiffElasMat3DBaP1.m File Reference

| OptFEM3DP1 Toolbox 20130618_070730 Matlab/Octave Optimized P1-Lagrange Finite Element Method in 3D

- Main Page
- Related Pages
- Files

- File List
- File Members

All Files Functions Variables Pages
Functions
ElemStiffElasMat3DBaP1.m File Reference

NAME [Elem]=ElemStiffElasMat3DBaP1(ql,V,H) INPUTS area : double (element volume) ql : matrix 3x4 ql(:,il) ... H : Hooke matrix (6x6) OUTPUTS Elem : matrix 12x12 DESCRIPTION Compute P1-Lagrange elementary Stiff matrix. Numbering of local points in reference element is :

## P=[(0, 0, 0), (1, 0, 0), (0, 1, 0), (0, 0, 1)]

Automatic generation with sage (c) Cuvelier F. email:cuvel.nosp@m.ier@.nosp@m.math..nosp@m.univ.nosp@m.-pari.nosp@m.s13..nosp@m.fr Copyright: See License issues. More...

Go to the source code of this file.

## Functions
function Elem = | ElemStiffElasMat3DBaP1 (ql, V, H)
| NAME [Elem]=ElemStiffElasMat3DBaP1(ql,V,H) INPUTS area : double (element volume) ql : matrix 3x4 ql(:,il) ... H : Hooke matrix (6x6) OUTPUTS Elem : matrix 12x12 DESCRIPTION Compute P1-Lagrange elementary Stiff matrix. Numbering of local points in reference element is : ## P=[(0, 0, 0), (1, 0, 0), (0, 1, 0), (0, 0, 1)] Automatic generation with sage (c) Cuvelier F. email:cuvel.nosp@m.ier@.nosp@m.math..nosp@m.univ.nosp@m.-pari.nosp@m.s13..nosp@m.fr Copyright: See License issues.

## Detailed Description

NAME [Elem]=ElemStiffElasMat3DBaP1(ql,V,H) INPUTS area : double (element volume) ql : matrix 3x4 ql(:,il) ... H : Hooke matrix (6x6) OUTPUTS Elem : matrix 12x12 DESCRIPTION Compute P1-Lagrange elementary Stiff matrix. Numbering of local points in reference element is :

## P=[(0, 0, 0), (1, 0, 0), (0, 1, 0), (0, 0, 1)]

Automatic generation with sage (c) Cuvelier F. email:cuvel.nosp@m.ier@.nosp@m.math..nosp@m.univ.nosp@m.-pari.nosp@m.s13..nosp@m.fr Copyright: See License issues.

Definition in file ElemStiffElasMat3DBaP1.m.

## Function Documentation

function Elem = ElemStiffElasMat3DBaP1 | ( |  | ql,
|  |  | V,
|  |  | H
| ) |  |

NAME [Elem]=ElemStiffElasMat3DBaP1(ql,V,H) INPUTS area : double (element volume) ql : matrix 3x4 ql(:,il) ... H : Hooke matrix (6x6) OUTPUTS Elem : matrix 12x12 DESCRIPTION Compute P1-Lagrange elementary Stiff matrix. Numbering of local points in reference element is :

## P=[(0, 0, 0), (1, 0, 0), (0, 1, 0), (0, 0, 1)]

Automatic generation with sage (c) Cuvelier F. email:cuvel.nosp@m.ier@.nosp@m.math..nosp@m.univ.nosp@m.-pari.nosp@m.s13..nosp@m.fr Copyright: See License issues.

Definition at line 17 of file ElemStiffElasMat3DBaP1.m.